<?php
include_once 'dadospaginas_helper.php';

class ControleAcesso {
    public static function verificarAcessosPermitidos($nivel) {
        if (self::isAcessoAdm($nivel)) {
            return self::acessosPermitidosAministracao();
        }elseif(self::isAcessoPortaria($nivel)){
            return self::acessosPermitidosTecnico();
        }
    }

    public static  function isAcessoAdm($nivel) {
        return in_array($nivel, array('1', '2', '3'));
    }

    public static function isAcessoPortaria($nivel) {
        return in_array($nivel, array('4'));
    }

    private static function acessosPermitidosAministracao() {
        return array(
            'veiculos',
            'pecas',
            'checklists',
            'inspecao',
            'manutencao',
            'servicos',
            'agenda',
            'gestaoResultados',
            'configboleto',
            'configsistema',
            'contasatrasadas',
            'controlecontrato',
            'controleExtintores',
            'controleGas',
            'controlevisitantes',
            'controlevisitas',
            'corpoDiretivo',
            'docsCond',
            'enquete',
            'encomenda',
            'enviarsms',
            'financeiro',
            'fornecedor',
            'funcionario',
            'informativo',
            'manutencaoInterna',
            'morador',
            'mudanca',
            'multanotificacao',
            'noticias',
            'ocorrencia',
            'parceiros',
            'patrimonio',
            'prestadorServico',
            'principal',
            'relatorios',
            'reserva',
            'reuniao',
            'usuarios',
            'cotacao',
        );
    }

    public static function acessosPermitidosTecnico() {
       return array(
            'manutencao',
            'controlevisitantes',
            'controlevisitas',
            'encomenda',
            'morador',
            'mudanca',
            'ocorrencia',
            'prestadorServico',
            'reserva',
        );
    }


}

?>
